Update
- PATCH
- /workspaces
- /:workspace
- /artifacts
- /:artifact_Id
Update artifact configuration
Examples
Example: update-name
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_Id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "updated-artifact-name"
}'Example: update-scope
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_Id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"scope": "WORKSPACE"
}'Example: update-auth
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_Id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"authorization": {
"type": "NONE"
}
}'Example: update-gh-release
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_Id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"external_project_id": "my-org/my-other-repo",
"include_prereleases": false
}'EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2",
"html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions",
"id": "x5169jL2",
"name": "Updated Artifact Name",
"identifier": "my-app-artifact",
"type": "BUCKET",
"project": {
"url": "https://api.buddy.works/workspaces/ttests/projects/my-project",
"html_url": "https://app.buddy.works/ttests/projects/my-project",
"name": "my-project",
"display_name": "My Project"
},
"environment": {
"url": "https://api.buddy.works/workspaces/ttests/projects/my-project/environments/nZrnl40Y",
"html_url": "https://app.buddy.works/ttests/projects/my-project/environments/nZrnl40Y",
"name": "staging",
"identifier": "my-staging",
"id": "nZrnl40Y",
"scope": "PROJECT"
},
"scope": "WORKSPACE",
"authorization": {
"type": "NONE"
},
"permissions": {
"others": "READ_ONLY",
"users": [
{
"id": 42,
"access_level": "READ_WRITE"
}
],
"groups": [
{
"id": 15,
"access_level": "READ_ONLY"
}
]
},
"size": 524288000,
"created_date": "2024-01-15T10:30:00Z",
"note": "Notes about this resource",
"agent_note": "my_custom_field: note for agent"
}STATUS
200 Artifact updated successfully